Skip to main content

REST-API

ODIN Fleet by 4Players is a full service solution to deploy and manage game servers. Find out more about ODIN Fleet on the product page.

The ODIN Fleet REST-API allows you to interact with the ODIN Fleet platform programmatically. You can use the API to automate game server deployment and management, integrate ODIN Fleet into your CI/CD workflows, and more.

Documentation

We offer a nice interface to learn more about data structures and available routes.

View Documentation

Authentication

In order to use the ODIN Fleet REST-API, you need to authenticate your requests. You can do this by providing an API key in the Authorization header of your HTTP requests.

Authorization: Bearer YOUR_ACCESS_TOKEN

Sign in to the ODIN Fleet dashboard and follow these simple steps to obtain your access token:

  1. Sign in to our dashboard.
  2. Choose an app or create one
  3. Go to the settings of the app
  4. Click on the API-Key section
  5. Copy the access token and use it in your requests

Generating API Clients

We provide an OpenAPI specification that you can use to generate API clients for your preferred programming language.

tip

The repository is intended to provide an example of how to generate different clients from the OpenAPI definition for the ODIN Fleet API. It may be necessary to modify it to suit your specific needs.

Prerequisites

Usage

  1. Clone the fleet-api repository
  2. Replace <generator> in the Makefile with your desired generator
  3. Run make
note

The Makefile expects a Unix environment. For Windows the individual commands should more or less still apply.

Supported Languages

In general any language supported by the openapi-generator should work — if not out of the box, with minor tweaks. The following generators have been tested:

LanguageStatusAdditional Options
typescript-angularSupported
typescript-fetchSupported
goSupported--additional-properties structPrefix=true,enumClassPrefix=true